com.hazelcast.monitor

## Interface LocalIndexStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats

      public interface LocalIndexStats
      extends LocalInstanceStats

  Provides local statistics for an index to be used by `MemberState` implementations.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAverageHitLatency()` Returns the average hit latency (in nanoseconds) for the index.
    `double` | `getAverageHitSelectivity()` Returns the average selectivity of the hits served by the index.
    `long` | `getHitCount()` Returns the total number of hits into the index.
    `long` | `getInsertCount()` Returns the number of insert operations performed on the index.
    `long` | `getMemoryCost()` Returns the memory cost of the index in bytes.
    `long` | `getQueryCount()` Returns the total number of queries served by the index.
    `long` | `getRemoveCount()` Returns the number of remove operations performed on the index.
    `long` | `getTotalInsertLatency()` Returns the total latency (in nanoseconds) of insert operations performed on the index.
    `long` | `getTotalRemoveLatency()` Returns the total latency (in nanoseconds) of remove operations performed on the index.
    `long` | `getTotalUpdateLatency()` Returns the total latency (in nanoseconds) of update operations performed on the index.
    `long` | `getUpdateCount()` Returns the number of update operations performed on the index.

    - ### Methods inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `getCreationTime`

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getQueryCount

          long getQueryCount()

      Returns the total number of queries served by the index.

      To calculate the index hit rate just divide the returned value by a value returned by `LocalMapStats.getQueryCount()`.

      The returned value may be less than the one returned by `getHitCount()` since a single query may hit the same index more than once.

    - #### getHitCount

          long getHitCount()

      Returns the total number of hits into the index.

      The returned value may be greater than the one returned by `getQueryCount()` since a single query may hit the same index more than once.

    - #### getAverageHitLatency

          long getAverageHitLatency()

      Returns the average hit latency (in nanoseconds) for the index.

    - #### getAverageHitSelectivity

          double getAverageHitSelectivity()

      Returns the average selectivity of the hits served by the index.

      The returned value is in the range from 0.0 to 1.0. Values close to 1.0 indicate a high selectivity meaning the index is efficient; values close to 0.0 indicate a low selectivity meaning the index efficiency is approaching an efficiency of a simple full scan.

    - #### getInsertCount

          long getInsertCount()

      Returns the number of insert operations performed on the index.

    - #### getTotalInsertLatency

          long getTotalInsertLatency()

      Returns the total latency (in nanoseconds) of insert operations performed on the index.

      To compute the average latency divide the returned value by `insert operation count`.

    - #### getUpdateCount

          long getUpdateCount()

      Returns the number of update operations performed on the index.

    - #### getTotalUpdateLatency

          long getTotalUpdateLatency()

      Returns the total latency (in nanoseconds) of update operations performed on the index.

      To compute the average latency divide the returned value by `update operation count`.

    - #### getRemoveCount

          long getRemoveCount()

      Returns the number of remove operations performed on the index.

    - #### getTotalRemoveLatency

          long getTotalRemoveLatency()

      Returns the total latency (in nanoseconds) of remove operations performed on the index.

      To compute the average latency divide the returned value by `remove operation count`.

    - #### getMemoryCost

          long getMemoryCost()

      Returns the memory cost of the index in bytes.

      Currently, for on-heap indexes (OBJECT and BINARY storages), the returned value is just a best-effort approximation and doesn't indicate a precise on-heap memory usage of the index.

Copyright © 2020. All rights reserved.